#!/bin/sh


log_dir=/root/Logs/Gluesys2023
#host="/root/spc/1host.HST"
host="/root/spc/2hosts.HST"

mkdir -p $log_dir

sh set_host_kernel_parameters.sh
ssh spc-client2 "sh /root/spc1_mgnt_script/set_host_kernel_parameters.sh"
sh get_tsc_config.sh $log_dir "inventory_start.out"

sleep 5

cd ../spc

# running spc1
./spc1 -run SPC1_INIT -iops 1000 -master $host -output $log_dir
./spc1 -run SPC1_VERIFY -iops 100 -master $host -output $log_dir
./spc1 -run SPC1_METRICS -iops 800000 -master $host -output $log_dir
./spc1 -run SPC1_VERIFY -iops 100 -master $host -output $log_dir

echo "Persist_1"
./spc1 -run SPC1_PERSIST_1 -iops 200000 -master $host -output $log_dir


# logout from the target
#nvme disconnect-all
#nvme list

echo "Ready for Persist_2. Please Reboot!"
